Loading...
Searching...
No Matches
svn_stringbuf_t Struct Reference
String handling

A buffered string, capable of appending without an allocation and copy for each append. More...

`#include <svn_string.h>`

## Data Fields

apr_pool_t * | pool
| a pool from which this string was originally allocated, and is not necessarily specific to this string.
char * | data
| pointer to the bytestring
apr_size_t | len
| length of bytestring
apr_size_t | blocksize
| total size of buffer allocated

## Detailed Description

A buffered string, capable of appending without an allocation and copy for each append.

Definition at line 104 of file svn_string.h.

## Field Documentation

## blocksize

apr_size_t svn_stringbuf_t::blocksize

total size of buffer allocated

Definition at line 119 of file svn_string.h.

## data

char* svn_stringbuf_t::data

pointer to the bytestring

Definition at line 113 of file svn_string.h.

## len

apr_size_t svn_stringbuf_t::len

length of bytestring

Definition at line 116 of file svn_string.h.

## pool

apr_pool_t* svn_stringbuf_t::pool

a pool from which this string was originally allocated, and is not necessarily specific to this string.

This is used only for allocating more memory from when the string needs to grow.

Definition at line 110 of file svn_string.h.

The documentation for this struct was generated from the following file:

- svn_string.h